Skip to main content
DELETE
Delete coupon

📌 Endpoint

DELETE /stores/{storeId}/coupons/{couponId} Removes a coupon from the store.

🔐 Authentication

  • Private route.
  • Requires header Authorization with your API key and active plan.

🧾 Route parameters


✅ Example request


Standard snippet (cURL)

Use the cURL example from the Request example section above as the official snippet.

📦 Success response (200)


⚠️ Possible errors

  • 400 INVALID_DATA → invalid parameters
  • 401 API_KEY_NOT_PROVIDED → Authorization header not provided
  • 401 INVALID_API_KEY → invalid API key
  • 401 UNAUTHENTICATED → unauthenticated user
  • 403 USER_DISABLED → user disabled
  • 403 NO_ACTIVE_SUBSCRIPTION → no active plan
  • 404 STORE_NOT_FOUND → store not found
  • 404 COUPON_NOT_FOUND → coupon not found
  • 429 RATE_LIMIT_EXCEEDED → per-minute rate limit exceeded
  • 500 INTERNAL_SERVER_ERROR → internal error
  • 503 SERVICE_UNAVAILABLE → service unavailable

Authorizations

Authorization
string
header
default:YOUR_API_KEY_HERE
required

Path Parameters

storeId
string
required
Required string length: 1 - 50
couponId
string
required
Required string length: 1 - 50

Response

Delete coupon.

code
string
required
Example:

"COUPON_DELETED"